package com.ibm.btools.blm.ie.exprt;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2004, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/
/**
 * Interface for the export constants
 */
public interface IExportConstants {
	
	// copyright	
	static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2004, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$	
								

	// Export Operation Extension Point
	public final static String EXPORT_OPERATION_EXTENSION_POINT		= "com.ibm.btools.blm.ie.exportOperations";
	public final static String EXPORT_OPERATION_ELEMENT_OPERATION	= "operation";
	public final static String EXPORT_OPERATION_ATT_ID				= "id";
	public final static String EXPORT_OPERATION_ATT_CLASS			= "class";
	public final static String EXPORT_OPERATION_ATT_NAME			= "name";
	
	public final static String PART_NAME_TOKEN						= "partName=";
	
}
