package com.ibm.btools.blm.ie;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2004, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import java.util.MissingResourceException;
import java.util.ResourceBundle;

import org.eclipse.core.runtime.Plugin;

import com.ibm.btools.blm.ie.resource.IeMessageKeys;

/**
 * Import and Export Framework Plugin
 */
public class IePlugin extends Plugin {
	// copyright	
	static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2004, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$	
	
	// The shared instance.
	 private static IePlugin plugin;
	
	 // Resource bundle of this plugin
	 private ResourceBundle resourceBundle;

	/**
	 * @param descriptor
	 */
	public IePlugin() {
		super();
		plugin = this;
		try {
			resourceBundle = ResourceBundle.getBundle(IeMessageKeys.RESOURCE_PROPERTY_FILE);
		} catch (MissingResourceException x) {
			resourceBundle = null;
		}
	}
	
	/**
	 * Returns the shared instance.
	 */
	public static IePlugin getDefault() {
		return plugin;
	}
}
