package com.ibm.btools.blm.ie.imprt.rule.util;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2004, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/
/**
 * Additional Info messages for the Import Framework
 */
public interface IImportResultMessages {
	
	// copyright	
	static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2004, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$	

	// Import Operation Extension Point
	public final static String CANCEL_THE_OPERATION											= "The user cancels the operation.";	
	public final static String PROJECT_NAME_IS_NULL											= "The project name should not be null.";
	public final static String OPERATION_ID_IS_NULL											= "The operation id should not be null.";
	public final static String OPERATION_IS_NULL											= "The operation should not be null.";
	public final static String RUNTIME_EXCEPTION											= "The operation throws a RuntimeException.";
	public final static String COMMAND_RUNTIME_EXCEPTION									= "The command throws a RuntimeException.";	
	public final static String MODE_IMPORT_MODEL_IS_NULL									= "The import model should not be null.";
	public final static String OBJECT_IS_PROXY												= "The import model should not be a proxy.";	
	public final static String ELEMENT_IS_NULL												= "The element should not be null.";
	public final static String ELEMENT_NAME_IS_NULL											= "The element's name should not be null.";
	public final static String CANNOT_CREATE_DEFAULT_PROCESS_MODEL							= "Cannot create a default process model.";
	public final static String CANNOT_CREATE_DEFAULT_INFO_MODEL								= "Cannot create a default information model.";
	public final static String CANNOT_CREATE_DEFAULT_RESOURCE_MODEL							= "Cannot create a default resource model.";
	public final static String CANNOT_CREATE_DEFAULT_ORG_MODEL								= "Cannot create a default organization model.";
	public final static String CANNOT_EXECUTE_OPEN_COMMAND									= "Cannot execute the open command.";
	public final static String CANNOT_EXECUTE_SAVE_COMMAND									= "Cannot execute the save command.";	
	public final static String CANNOT_EXECUTE_CLOSE_COMMAND									= "Cannot execute the close command.";
	public final static String CANNOT_EXECUTE_REMOVE_CEF_COMMAND							= "Cannot execute the remove cef model command.";
	public final static String CANNOT_EXECUTE_ASSOCIATE_CEF_COMMAND							= "Cannot execute the assocaite cef model command.";
	public final static String CANNOT_EXECUTE_ADD_CEF_COMMAND								= "Cannot execute the ass cef model command.";
	public final static String CANNOT_EXECUTE_BOM_COMMAND									= "Cannot execute the BOM command.";			
	public final static String OBJECT_HAS_DIFF_TYPE											= "Different type of element is already existed.";
	public final static String OBJECT_NAME_IS_NULL											= "The object name should not be null.";
	public final static String CANNOT_CREATE_NAVIGATION_NODE								= "Cannot create a navigation node.";	
	public final static String PROJECT_NODE_IS_NULL											= "The project node should not be null.";	
	public final static String IMPROPER_BOM_MODEL											= "The BOM model is invalid.";	
	public final static String NAME_NOT_UNIQUE_DIFFERENT_CASES                              = "The workspace already has an element with the same name but different cases, the complex type will not be created.";
	
	// Process
	public final static String PROCESS_IS_NULL												= "The process object should not be null.";
	public final static String TASK_IS_NULL													= "The task object should not be null.";
	public final static String PARAMETER_IS_NULL											= "The parameter object should not be null.";
	public final static String PARAMETER_SET_IS_NULL										= "The parameter set object should not be null.";
	public final static String SAN_IS_NULL													= "The structure activity node should not be null.";
	public final static String IMPROPER_VISUAL_MODEL										= "The visual model of the process is corrupted.";
	public final static String PIN_IS_NULL													= "The pin object should not be null.";
	public final static String PIN_SET_IS_NULL												= "The pin set object should not be null.";
	public final static String EDGE_IS_NULL													= "The edge object should not be null.";
	public final static String ACTION_IS_NULL												= "The action object should not be null.";
	public final static String NODE_IS_NULL													= "The node object should not be null.";
	public final static String DOMAIN_MODEL_IS_NULL											= "The domain object should not be null or empty.";
		
}
