package com.ibm.btools.te.ilm.heuristics.helper;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2008, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


import java.util.ArrayList;
import java.util.List;

public class VMMGroupEntry{

	public static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2008, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
	
	
	public VMMGroupEntry(){
		
	}
	String groupName;
	public List<String> memberIDs = new ArrayList<String>();
	private String description = null;
	String resourceName;
	boolean missingMandatoryAttribute = false;

	public boolean isVMMMissingMandatoryAttribute(){
		return this.missingMandatoryAttribute;
	}
	
	public String getVMMResourceName(){
		return this.resourceName;
	}
	
	public void setVMMMissingMandatoryAttribute(String resourceName) {
		this.missingMandatoryAttribute = true;
		this.resourceName = resourceName;
	}
	
	public String getVMMGroupName(){
		return this.groupName;
	}
	
	public void setVMMGroupName(String groupName){
		this.groupName = groupName;
	}

	public List getVMMMembers() {
		return this.memberIDs;
	}
	
	public void setVMMMembers(List<String> memberIDs) {
		this.memberIDs = memberIDs;
	}
	
	public void setVMMDescription(String description){
		if (description != null && !description.equals("")) {
			description = description.replace("\\", "\\\\");
			description = description.replace("\'", "\\'");
			description = description.replace("\"", "\\\"");
		}
		this.description = description;
	}

	public String getVMMDescription(){
		return description;
	}


}
