package com.ibm.btools.te.ilm.heuristics.wsdl.util;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2003, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import java.util.LinkedList;
import java.util.List;

/**
 *	Utility class that defines WSDL used constants
 */
public abstract class WSDLConstants {

	public static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2008, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$

	
	public static final List encodingStyles;
	
	static{
		encodingStyles = new LinkedList();
		encodingStyles.add("http://schemas.xmlsoap.org/soap/encoding/"); 
	}
	
	public static final String SOAP_NAMESPACE = "soap";
	public static final String JMS_NAMESPACE = "jms";
	public static final String SOAP_NAMESPACE_URI = "http://schemas.xmlsoap.org/wsdl/soap/";
	public static final String JMS_NAMESPACE_URI = "http://schemas.xmlsoap.org/wsdl/jms/";
	public static final String USE_ENCODED = "encoded";
	public static final String BINDING_STYPE_RPC="rpc";
	public static final String BINDING_HTTP_TRANSPORT_URI="http://schemas.xmlsoap.org/soap/http";
	public static final String BINDING_JMS_TRANSPORT_URI="http://schemas.xmlsoap.org/soap/jms";

	public static final String SOAP_ENCODING_STYLE = "http://schemas.xmlsoap.org/soap/encoding/";
	public static final String ADRRESS_LOCATION_KEY = "location";

	public static final String JMS_DESTINATION_STYLE_KEY = "destinationStyle";
	public static final String JMS_INITIAL_CONTEXT_FACTORY_KEY = "initialContextFactory";
	public static final String JMS_PROVIDER_DESTINATION_NAME_KEY="jmsProviderDestinationName";
	public static final String JMS_VENDOR_URI_KEY= "jmsVendorURI";

	

}
